/**********************************************************
	Screen Manager Indicator Class
		Class that holds information about
		an indicator's location on the screen
		along with other characteristics of 
		the specific indicator.	

***********************************************************/


#include "Arduino.h"



class SMIndicator{
	int y;
	int x;
	int width;
	int color;
	bool onScreen;
	String value;
	String last;


	public:
		SMIndicator();
		SMIndicator& operator=(String next);
		SMIndicator& operator=(int next);
	
	void	begin(void),
		setXY(int X, int Y),
		setValue(String text),
		setFontColor(int clr);
		
	String	get(void);
	int 	getX();
	int 	getY();
	int 	getFontColor();
	bool 	isNew();
	int 	getWidth();
};

